Bug 520488 - nm-connection-editor crashes if the action was canceled
Summary: nm-connection-editor crashes if the action was canceled
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 18:21 UTC by Ilya Ryabinkin
Modified: 2009-12-18 09:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 09:42:04 UTC
Type: ---


Attachments (Terms of Use)

Description Ilya Ryabinkin 2009-08-31 18:21:04 UTC
Description of problem: nm-connection-editor crashes if the action was canceled

Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.7.1-1.fc10.i386

How reproducible: Always


Steps to Reproduce:
1. Start nm-connection-editor, 
2. Click Add on any tab, new window appears with corresponding settings.
3. Do nothing, just click "Cancel"
  
Actual results: Crash (BugBuddy appears)


Expected results: Window should be closed


Additional info:
Traceback:
ERROR:nm-connection-list.c:744:add_done_cb: code should not be reached
5be24508-34d3-c396-3e02362f-1421d00c is dumped

Comment 1 Niels Haase 2009-09-03 22:32:40 UTC
Thanks for filling this bug. 

This particular bug has already been reported into our bug tracking system (bug 507136), but against Fedora 11. The fix for this is currently not available for Fedora 10, but will, if the next NetworkManager is released for Fedora 10.

This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Bug Zapper 2009-11-18 12:13:37 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-12-18 09:42:04 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.